| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Functions
BasicApp1_Functions module documentation

## Functions
void | BasicApp1_Initialization ()
void | BasicApp1_CI_Callback (void *p_HostPacket, void *p_AppPacket, uint8_t *response)
void | BasicApp1_OnAnySensor_Data_Ready (uint8_t sensorIdx, uint32_t signalledEvents, void **pAppSensorData, void *pAppDataBuffers)

## Detailed Description

## Function Documentation

void BasicApp1_CI_Callback | ( | void * | p_HostPacket,
|  | void * | p_AppPacket,
|  | uint8_t * | response
| ) |  |

Definition at line 94 of file BasicApp1_Functions.c.

References ci_host_cmd_packet_t::appId, BasicApp1_FlashSensor(), ci_host_cmd_packet_t::byte_cnt, ci_app_resp_packet_t::bytes_xfer, CI_CMD_READ_APP_DATA, CI_CMD_READ_CONFIG, CI_CMD_READ_VERSION, CI_CMD_WRITE_CONFIG, CI_CMD_WRITE_SREC_FLASH, CI_ERROR_COMMAND, CI_ERROR_NONE, CI_INVALID_COUNT, CI_MAX_FLASH_BYTES, ci_host_cmd_packet_t::cmd, BasicApp1DataBuffers_t::configData, gBasicApp1DataBuffers, isf_ci_app_read(), isf_ci_app_write(), ci_host_cmd_packet_t::offset, BasicApp1DataBuffers_t::outputData, and BasicApp1DataBuffers_t::outputDataLock.

Referenced by BasicApp1_ci_app_callback().

Here is the call graph for this function:

Here is the caller graph for this function:

void BasicApp1_Initialization | ( |  | ) |

Definition at line 60 of file BasicApp1_Functions.c.

Referenced by BasicApp1_MainTask().

Here is the caller graph for this function:

void BasicApp1_OnAnySensor_Data_Ready | ( | uint8_t | sensorIdx,
|  | uint32_t | signalledEvents,
|  | void ** | pAppSensorData,
|  | void * | pAppDataBuffers
| ) |  |

Definition at line 202 of file BasicApp1_Functions.c.

References DATA_TYPE_SUB0, DATA_TYPE_SUB1, DATA_TYPE_SUB10, DATA_TYPE_SUB11, DATA_TYPE_SUB12, DATA_TYPE_SUB13, DATA_TYPE_SUB14, DATA_TYPE_SUB15, DATA_TYPE_SUB16, DATA_TYPE_SUB17, DATA_TYPE_SUB18, DATA_TYPE_SUB19, DATA_TYPE_SUB2, DATA_TYPE_SUB3, DATA_TYPE_SUB4, DATA_TYPE_SUB5, DATA_TYPE_SUB6, DATA_TYPE_SUB7, DATA_TYPE_SUB8, DATA_TYPE_SUB9, pSensorData, SENSOR_IDX_Accelerometer0, SENSOR_IDX_Accelerometer1, SENSOR_IDX_Accelerometer2, SENSOR_IDX_Accelerometer3, SENSOR_IDX_Accelerometer4, SENSOR_IDX_Accelerometer5, SENSOR_IDX_Accelerometer6, SENSOR_IDX_Accelerometer7, SENSOR_IDX_Altitude15, SENSOR_IDX_Analog19, SENSOR_IDX_Custom18, SENSOR_IDX_Gyrometer10, SENSOR_IDX_Gyrometer11, SENSOR_IDX_Magnetometer8, SENSOR_IDX_Magnetometer9, SENSOR_IDX_Orientation14, SENSOR_IDX_Pedometer16, SENSOR_IDX_Pedometer17, SENSOR_IDX_Pressure12, and SENSOR_IDX_Temperature13.

Referenced by BasicApp1_MainTask().

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.